## python-dict2css 0.3.0

=== requirements.txt ===
# css-parser>=1.0.6
cssutils>=2.2.0
domdf-python-tools>=2.2.0

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental.git
default-values>=0.6.0
extras-require>=0.5.0
furo>=2020.11.19b18
html-section>=0.3.0
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.2.2
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.6.1

=== tests/requirements.txt ===
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
importlib-metadata>=3.6.0
iniconfig!=1.1.0,>=1.0.1
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2

=== debian/changelog ===
python-dict2css (0.3.0-2) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 20 Aug 2024 18:00:03 +0200

python-dict2css (0.3.0-1) unstable; urgency=medium

  * [6c59ec3] New upstream version 0.3.0
  * [437cf02] Initial Debianization
    (Closes: #1078490)

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Mon, 12 Aug 2024 00:58:55 +0530

=== debian/control ===
Source: python-dict2css
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-coincidence <!nocheck>,
 python3-css-parser <!nocheck>,
 python3-cssutils <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-whey,
Standards-Version: 4.7.0
Homepage: https://github.com/sphinx-toolbox/dict2css
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dict2css
Vcs-Git: https://salsa.debian.org/python-team/packages/python-dict2css.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-dict2css
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: μ-library for transforming Python Dicts to CSS (Python 3)
 This package provides an API similar to the json and toml modules, with dump
 and load functions.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=dict2css

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-coincidence,
 python3-css-parser,
 python3-cssutils,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/sphinx-toolbox/dict2css.git \
      refs/tags/@ANY_VERSION@
